%define _optlevel s
%def_disable wxgtk

%define rname Transmission
Name: transmission
Version: 1.76
Release: alt2.M51.1

Group: Networking/File transfer
Summary: Llightweight BitTorrent client
License: GPLv2 + MIT
Url: http://www.transmissionbt.com/

Provides: %rname = %version-%release

Obsoletes: %name-benc2php
Obsoletes: %name-proxy

Requires: %name-gui = %version-%release
Requires: %name-cli = %version-%release
Requires: %name-remote = %version-%release
Requires: %name-daemon = %version-%release

Requires(post,postun): desktop-file-utils

Source: http://download.m0k.org/%name/files/%name-%version.tar
Patch0: %name-%version-%release.patch

BuildPreReq: desktop-file-utils

BuildRequires: gcc-c++ glibc-devel intltool libcurl-devel libevent1.4-devel libnotify-devel
BuildRequires(pre): rpm-utils desktop-file-utils libalternatives-devel
%if "%(rpmvercmp '%{get_version glibc-core}' '2.9')" >= "0"
BuildRequires: libgio-devel
%endif
BuildRequires: libqt4-devel

%if_enabled wxgtk
BuildRequires: wxGTK2u-devel
%endif

%description
Transmission has been built from the ground up to be a lightweight,
yet powerful BitTorrent client. Its simple, intuitive interface
strikes a balance between providing useful functionality without
feature bloat. Furthermore, it is free for anyone to use or modify.

%package common
Group: Networking/File transfer
Summary: Common files for %name
Conflicts: %name < 1.00-alt10
%description common
Common files for %name

%package gui-common
Group: Networking/File transfer
Summary: Common files for %name
Requires: %name-common = %version-%release
%description gui-common
Common files for %name

%package gtk
Group: Networking/File transfer
Summary: Graphical BitTorrent client
Provides: %name-gui = %version-%release
Requires: %name-common = %version-%release
Requires: %name-gui-common = %version-%release
%description gtk
GTK-based graphical BitTorrent client

%package qt
Group: Networking/File transfer
Summary: Graphical BitTorrent client
Provides: %name-gui = %version-%release
Requires: %name-common = %version-%release
Requires: %name-gui-common = %version-%release
%description qt
Qt-based graphical BitTorrent client

%if_enabled wxgtk
%package wxgtk
Group: Networking/File transfer
Summary: Graphical BitTorrent client
Provides: %name-gui = %version-%release
Requires: %name-common = %version-%release
Requires: %name-gui-common = %version-%release
%description wxgtk
WxGTK-based graphical BitTorrent client
%endif

%package cli
Group: Networking/File transfer
Summary: Command line BitTorrent client
Requires: %name-common = %version-%release
%description cli
Command line BitTorrent client

%package remote
Group: Networking/Remote access
Summary: Command line remote interface to %name-daemon
Requires: %name-common = %version-%release
Requires: %name-daemon = %version-%release
%description remote
Command line remote interface to %name-daemon

%package daemon
Group: Networking/File transfer
Summary: Daemonised BitTorrent client
Requires: %name-common = %version-%release
%description daemon
Daemonised BitTorrent client

%prep
%setup -q
%patch0 -p1
sed -i "s|\(^CONFIG.*\+=.*[[:space:]]\)debug\([[:space:]].*$\)|\1release\2|" qt/qtr.pro
sed -i "s|^LIBS.*\+=.*libevent\.a$|LIBS += -levent|" qt/qtr.pro

%build
./autogen.sh
%configure \
    --verbose \
    %{subst_enable wx} \
    --enable-gtk
pushd qt
qmake-qt4 "QMAKE_CXXFLAGS+=%optflags"
popd

%make_build
pushd qt
%make_build
for f in *.ts; do lrelease-qt4 $f; done
popd


%install
%make DESTDIR=%buildroot install
%make install INSTALL_ROOT=%buildroot/%prefix -C qt
mv %buildroot/%_bindir/%name %buildroot/%_bindir/%{name}-gtk
desktop-file-install \
    --dir %buildroot/%_datadir/applications \
    --remove-category=GTK \
    %buildroot/%_datadir/applications/transmission.desktop

# made alternatives entries
mkdir -p %buildroot/%_altdir
%if_enabled wxgtk
cat >%buildroot/%_altdir/%name-wxgtk <<__EOF__
%_bindir/%name %_bindir/Xmission 10
__EOF__
%endif
cat >%buildroot/%_altdir/%name-gtk <<__EOF__
%_bindir/%name %_bindir/%name-gtk 30
__EOF__
cat >%buildroot/%_altdir/%name-qt <<__EOF__
%_bindir/%name %_bindir/qtr 20
__EOF__

# install translations
mkdir -p %buildroot/%_datadir/qt4/translations/
for f in qt/*.qm; do install -m 0644 $f %buildroot/%_datadir/qt4/translations/; done
%find_lang %name


%files

%files common
%dir %_datadir/%name
%_datadir/%name/web/

%files gui-common
%_iconsdir/hicolor/*/*/*
%_datadir/pixmaps/*
%_datadir/applications/%name.desktop
%_man1dir/%name.1.*

%files gtk -f %name.lang
%doc AUTHORS COPYING NEWS README ChangeLog
%_bindir/%name-gtk
%_altdir/%name-gtk

%files qt
%doc AUTHORS COPYING NEWS README ChangeLog
%_bindir/qtr
%_altdir/%name-qt
%_datadir/qt4/translations/%{name}_*.qm

%if_enabled wxgtk
%files wxgtk
%doc AUTHORS COPYING NEWS README ChangeLog
%_bindir/Xmission
%_altdir/%name-wxgtk
%endif

%files cli
%doc AUTHORS COPYING NEWS README ChangeLog
%_bindir/%{name}cli
%_man1dir/%{name}cli.1.*

%files remote
%doc AUTHORS COPYING NEWS README ChangeLog
%_bindir/%name-remote
%_man1dir/%name-remote.1.*

%files daemon
%doc AUTHORS COPYING NEWS README ChangeLog
%_bindir/%name-daemon
%_man1dir/%name-daemon.1.*

%changelog
* Wed Feb 24 2010 Anton Farygin <rider@altlinux.ru> 1.76-alt2.M51.1
- add patches from upstream 1.7x branch with fix for CVE-2010-0012 (closes: #23019)
- qtr: accept close window event when application exiting
- backport to M51

* Mon Oct 26 2009 Anton Farygin <rider@altlinux.ru> 1.76-alt1
- new version

* Wed Oct 21 2009 Sergey V Turchin <zerg@altlinux.org> 1.75-alt2
- qtr: allow customize application icon in session dialog

* Wed Sep 16 2009 Anton Farygin <rider@altlinux.ru> 1.75-alt1
- new version

* Tue Sep 01 2009 Anton Farygin <rider@altlinux.ru> 1.74-alt1
- new version

* Thu Aug 13 2009 Sergey V Turchin <zerg@altlinux.org> 1.73-alt2
- build qtr
- qtr: add russian translation
- qtr: close main window to tray
- qtr: fix raise main window

* Wed Aug 05 2009 Anton Farygin <rider@altlinux.ru> 1.73-alt1
- new version

* Tue Jun 30 2009 Anton Farygin <rider@altlinux.ru> 1.72-alt1
- new version

* Thu May 14 2009 Anton Farygin <rider@altlinux.ru> 1.61-alt2
- add patch from mainstream:
    - #2073: can't upload new torrent file in web ui

* Wed May 13 2009 Anton Farygin <rider@altlinux.ru> 1.61-alt1
- new version

* Wed May 06 2009 Anton Farygin <rider@altlinux.ru> 1.60-alt1
- new version

* Tue Apr 14 2009 Anton Farygin <rider@altlinux.ru> 1.52-alt1
- new version

* Thu Mar 05 2009 Anton Farygin <rider@altlinux.ru> 1.51-alt0.M40.1
- new version

* Mon Feb 16 2009 Anton Farygin <rider@altlinux.ru> 1.50-alt1
- new version
- fixed build from svn
- build with system libevent
- buildreq updated

* Thu Jan 15 2009 Yuri N. Sedunov <aris@altlinux.org> 1.42-alt1
- new version

* Sat Nov 08 2008 Yuri N. Sedunov <aris@altlinux.org> 1.34-alt2
- fix altbug #17817 (patch0)

* Mon Sep 22 2008 Yuri N. Sedunov <aris@altlinux.org> 1.34-alt1.1
- packaged builtin web-server

* Fri Sep 19 2008 Yuri N. Sedunov <aris@altlinux.org> 1.34-alt1
- new version for Sisyphus
- updated buildreqs
- removed {update,clean}_menus from post{,un}

* Tue Aug 05 2008 Sergey V Turchin <zerg at altlinux dot org> 1.22-alt0.M40.1
- new version

* Thu May 08 2008 Sergey V Turchin <zerg at altlinux dot org> 1.11-alt0.M40.1
- new version

* Tue Apr 01 2008 Sergey V Turchin <zerg at altlinux dot org> 1.10-alt0.M40.1
- new version

* Wed Mar 05 2008 Sergey V Turchin <zerg at altlinux dot org> 1.06-alt0.M40.1
- new version

* Tue Feb 19 2008 Sergey V Turchin <zerg at altlinux dot org> 1.05-alt0.M40.1
- new version

* Thu Feb 07 2008 Sergey V Turchin <zerg at altlinux dot org> 1.04-alt0.M40.1
- new version 

* Sat Jan 26 2008 Sergey V Turchin <zerg at altlinux dot org> 1.02-alt0.M40.1
- new version

* Tue Jan 15 2008 Sergey V Turchin <zerg at altlinux dot org> 1.01-alt0.M40.1
- new version
- split to subpackages

* Wed Jan 09 2008 Sergey V Turchin <zerg at altlinux dot org> 1.00-alt0.M40.1
- new version

* Wed Dec 12 2007 Sergey V Turchin <zerg at altlinux dot org> 0.96-alt0.M40.1
- new version

* Thu Dec 06 2007 Sergey V Turchin <zerg at altlinux dot org> 0.95-alt0.M40.1
- new version

* Wed Nov 28 2007 Sergey V Turchin <zerg at altlinux dot org> 0.94-alt0.M40.1
- new version

* Sat Sep 08 2007 Sergey V Turchin <zerg at altlinux dot org> 0.81-0.1.M40
- initial specfile

